<!--
 * @Descripttion: 
 * @version: 
 * @Author: 王三华
 * @Date: 2023-09-15 10:32:33
-->
<script>
export default {
  onLaunch: function () {
    let url = window.location.href.split('/#/')[1].split('?')[0]

    // 分享注册
    const whiteList = ['pages/login/index']
    if (whiteList.indexOf(url) !== -1) {
    } else {
      this.$store.dispatch('GetInfo')
    }
  },
  onShow: function () {
  },
  onHide: function () {
  },
}
</script>

<style lang="scss">
/* 注意要写在第一行，同时给style标签加入lang="scss"属性 */
@import 'uview-ui/index.scss';
</style>

